From 678ffd97db2d63cf6856428bea65a93e069f812f Mon Sep 17 00:00:00 2001
From: Even Rouault <even.rouault@spatialys.com>
Date: Wed, 4 Sep 2019 16:11:37 +0200
Subject: [PATCH] Adapt test script for PROJ 6.2 EPSG database (fixes #22)

---
 libgeotiff/test/testlistgeo          | 8 +++++++-
 libgeotiff/test/testlistgeo_out.dist | 4 ++--
 3 files changed, 11 insertions(+), 5 deletions(-)

diff --git a/test/testlistgeo b/test/testlistgeo
index 7fb4a2f..571f5d0 100755
--- a/test/testlistgeo
+++ b/test/testlistgeo
@@ -210,10 +210,15 @@ echo "Testing listgeo equidistant_cylindrical.tif" >> ${OUT}
 $EXE ${DATA_DIR}/equidistant_cylindrical.tif >>${OUT}
 echo "" >>${OUT}
 
+# Normalize for results depending on the exact version of PROJ / EPSG database
+sed "s/ETRS89-extended/ETRS89/g" < ${OUT} > ${OUT}.tmp
+mv ${OUT}.tmp ${OUT}
+
+sed "s/ETRS89-extended/ETRS89/g" < ${TEST_CLI_DIR}/testlistgeo_out.dist > testlistgeo_out.dist.tmp
 
 # do 'diff' with distribution results
 echo "diff ${OUT} with testlistgeo_out.dist"
-diff -u ${OUT} ${TEST_CLI_DIR}/testlistgeo_out.dist
+diff -u ${OUT} testlistgeo_out.dist.tmp
 if [ $? -ne 0 ] ; then
     echo  ""
     echo "PROBLEMS HAVE OCCURRED"
@@ -224,6 +229,7 @@ else
     echo "TEST OK"
     echo "test file ${OUT} removed"
     echo
+    rm testlistgeo_out.dist.tmp
     /bin/rm -f ${OUT}
     exit 0
 fi
diff --git a/test/testlistgeo_out.dist b/test/testlistgeo_out.dist
index 68a948c..c157f00 100644
--- a/test/testlistgeo_out.dist
+++ b/test/testlistgeo_out.dist
@@ -1738,11 +1738,11 @@ Geotiff_Information:
    Keyed_Information:
       GTModelTypeGeoKey (Short,1): ModelTypeProjected
       GTRasterTypeGeoKey (Short,1): RasterPixelIsArea
-      ProjectedCSTypeGeoKey (Short,1): Code-3035 (ETRS89 / LAEA Europe)
+      ProjectedCSTypeGeoKey (Short,1): Code-3035 (ETRS89-extended / LAEA Europe)
       End_Of_Keys.
    End_Of_Geotiff.
 
-PCS = 3035 (ETRS89 / LAEA Europe)
+PCS = 3035 (ETRS89-extended / LAEA Europe)
 Projection = 19986 (Europe Equal Area 2001)
 Projection Method: CT_LambertAzimEqualArea
    ProjCenterLatGeoKey: 52.000000 ( 52d 0' 0.00"N)
